剖面到立面
也许我很笨,但我就是找不到。我记得看到一个lisp,它可以通过将截面几何图形投影到一条线上,将二维截面转换为立面图。
有人记得这个吗?
谢谢 如果你要把房子画成一个盒子,平面图和4个立面图,一个简单的3d技巧是使用旋转3d并将立面图竖立起来!再结合在一起,你就有了房子的三维立方体。
注意3D方向。 不,不是这样。我记得看到的lisp可以取梁的一部分,并快速将所有端点投影到一条线/平面上,从而生成快速高程。
这是专门为细节设计的。
有人记得看过这个吗? 你可以通过选取2个点来切割形状,它计算出所有的Y或X线,对它们进行排序,然后询问一个I形梁有多长,并用末端绘制4条水平线。天啊,我有那个密码。但很抱歉,这是它的版权。但是我已经说过了怎么做,如果你想试一试,我很乐意帮助你。
;;; 作者:Alan
;;; 1993年6月1日
;;;
;;;描述
;;;通过拖动跨集w2 w3 w4测量墙 这也行。我只知道我在这里或沼泽地见过它,但我找不到该死的代码。假设我放手,当我陷入困境时,我会向你求助。
谢谢
使用Tapatalk从我的SM-G920T发送 大概
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; ;;;
;;; View Clip function that lets you easily define a view and the depth of the view ;;;
;;; After finished with the view: UCS <enter> PLANREGENMODE 1 ;;;
;;; Found @ http://www.theswamp.org/index.php?topic=105.0 ;;;
;;; ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:DBS_Section (/)
(setvar "cmdecho" 0)
(setvar "expert" 5)
(command "ucs" "s" "tmp");;;;saves ucs to "tmp"
(setq pt1 (getpoint "\nCutline pt1: "))
(setq pt2 (getpoint pt1 "\nCutline pt2: "))
(setq pt1 (polar pt1 (angle pt1 pt2) (/ (distance pt1 pt2) 2)))
(setq pt2 (getpoint pt1 "\nSection depth: "))
(setq pt1 (trans pt1 1 0) pt2 (trans pt2 1 0))
(command "ucs" "w")
(setvar "regenmode" 1)
(command "dview" "" "po" pt2 pt1 "cl" "f" (distance pt2 pt1) "cl" "b" 0 "")
;;;;move ucs origin to middle of section cut line & sets to view
;;; this causes grips to be actinve in dview box because ucs origin is in box
(command "ucs" "or" pt2)
(command "ucs" "v")
;;;by passed next line when added setting ucs to origin.
;;;(command "ucs" "r" "tmp") ;;;;restores ucs to "tmp"
(setvar "regenmode" 0)
(setvar "expert" 0)
(setvar "cmdecho" 1)
(princ)
)
页:
[1]